Ubuntu

unity --replace would be nice

Reported by Shane Fagan on 2010-12-20
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Unity
Undecided
Unassigned
unity (Ubuntu)
Undecided
Shane Fagan

Bug Description

Binary package hint: unity

This was a bug before and was fixed in the update a week ago since now you can launch unity by just calling it on the command line. Adding a --replace would just be nice since gnome-panel is called like that and gnome-shell is called like that.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.8-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.37-10.24-generic-pae 2.6.37-rc6
Uname: Linux 2.6.37-10-generic-pae i686
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
Date: Mon Dec 20 14:11:12 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
InstallationMedia_: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
Lsusb:
 Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Hewlett-Packard Presario V5000 (EW795EA#ABU)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
PciDisplay: 00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03) (prog-if 00 [VGA controller])
ProcEnviron:
 LANGUAGE=en_IE:en
 LANG=en_IE.UTF-8
 LC_MESSAGES=en_IE.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-10-generic-pae root=UUID=6b360a3c-e5b8-46d7-88e5-7ad8ca8e6e9e ro vt.handoff=7 quiet splash
ProcVersionSignature_: Ubuntu 2.6.37-10.24-generic-pae 2.6.37-rc6
RelatedPackageVersions:
 xserver-xorg 1:7.5+6ubuntu3b1
 libgl1-mesa-glx 7.9+repack-1ubuntu3
 libdrm2 2.4.22-2ubuntu1
 xserver-xorg-video-intel 2:2.13.901-2ubuntu2
 xserver-xorg-video-ati 1:6.13.2-1ubuntu2
SourcePackage: unity
XorgConf: Error: [Errno 2] No such file or directory: '/etc/X11/xorg.conf'
dmi.bios.date: 04/13/2006
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.0A
dmi.board.name: 30A8
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 56.25
dmi.chassis.asset.tag: ��������������������
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.0A:bd04/13/2006:svnHewlett-Packard:pnPresarioV5000(EW795EA#ABU):pvrF.0A:rvnHewlett-Packard:rn30A8:rvr56.25:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: Presario V5000 (EW795EA#ABU)
dmi.product.version: F.0A
dmi.sys.vendor: Hewlett-Packard
glxinfo: Error: [Errno 2] No such file or directory
system: distro = Ubuntu, architecture = i686, kernel = 2.6.37-10-generic-pae

Related branches

lp:~shanepatrickfagan/unity/unity-replace
Merged into lp:unity at revision 735
Didier Roche: Approve on 2011-01-06
Jason Smith (community): Approve on 2010-12-20
Shane Fagan (shanepatrickfagan) wrote :
tags: added: bitesize
Changed in unity (Ubuntu):
status: New → In Progress
assignee: nobody → Shane Fagan (shanepatrickfagan)
Shane Fagan (shanepatrickfagan) wrote :

Ok I only need to know one thing to fix this where exactly is the main method thats called when unity is run from the command line. I dont know my way around unity yet :-)

Shane Fagan (shanepatrickfagan) wrote :

Ok found it for future reference its in unity.cmake committed the code and merge requested it.

frizzle21 (frederik-nnaji) wrote :

wow.

Didier Roche (didrocks) wrote :

See my comment on the merge request :)

Didier Roche (didrocks) on 2011-01-06
Changed in unity:
status: New → Triaged
status: Triaged → Fix Committed
milestone: none → 3.2.10
Didier Roche (didrocks) on 2011-01-14
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.2.12-0ubuntu1

---------------
unity (3.2.12-0ubuntu1) natty; urgency=low

  * New upstream release.
   - Window border doesn't get restored (LP: #691812)
   - When a menu is triggered from Alt+key, app name stays visible on panel
     (LP: #691765)
   - show the launcher on <Super> KeyPress, this will be needed when the
     shortcut will be implemented if we are in intellihide mode
   - Make sure an underscore is correctly placed under the corresponding
     accelerator-key. (LP: #683427)
   - Adding a dummy --replace option for compatibility reason (LP: #692569)
   - Compiz crashed with SIGSEGV in CompWindow::id() (LP: #694945)
   - Tooltip text not vertically centered (LP: #697791)
   - Maximizing a window horizontally or vertically removes the title bar
     (LP: #696780)
   - Mousewheel support for indicators (LP: #681428)
   - Avoid Quicklists being positioned so that they are partially offscreen at
     the bottom screen-edge. (LP: #691114)
   - Migrate awn, docky and cairo-dock dock launchers (LP: #692967)
   - Include manpages, and make them translatable. (LP: #684896)
   - Automaximize windows in Unity with some rules like blacklisting some
     applications, initial window size.
     It fixes also some bugs, like maximized window on first map not
     undecorated (LP: #667009, #669716, #693779, #691741)
   - Update libunity to conform to latest GIO VAPI breakage (LP: #679964)
   - Initial unity-atk module implementation (LP: #701680)
   - Panel autohide when on Quicklist (LP: #683261)
  * debian/control:
    - unity breaks on older bamf version (dbus protocol changed)
    - needs latest and greatest from dee
    - add libatk1.0-dev build-dep
  * CMakeList:
    - distro-patch to avoid building tests right now as building them is failing
      with the current vala/gir stack. THIS NEED TO BE REMOVED.
  * debian/rules:
    - don't --fail-missing as we don't want to install the vapi yet. The gir
      package will come next week.
  * debian/unity-common.install:
    - install the manpages
  * debian/libunity3.symbols:
    - updated
 -- Didier Roche <email address hidden> Fri, 14 Jan 2011 20:47:25 +0100

Changed in unity (Ubuntu):
status: In Progress → Fix Released
James Haigh (james.r.haigh) wrote :

I'm using unity 3.8.16-0ubuntu1~natty1 and I don't see --replace in the man page. It does accept the option but I don't see any difference; both with and without, the existing instance crashes with 'Segmentation fault'.

With or without other options, I would expect:
* unity /with/ --replace to quit rather than crash the existing instance, and
* unity /without/ --replace to say it's already running and quit.

Take Compiz for example:
james@james-ThinkPad-X60-Tablet:~$ compiz
compiz (core) - Error: Screen 0 on display ":0.0" already has a window manager; try using the --replace option to replace the current window manager.

I've attached output from the terminal for when a second instance of unity is run. I added space-hash-comment to note when I did something. See lines starting with space-hash (' #').

James Haigh (james.r.haigh) wrote :
James Haigh (james.r.haigh) wrote :

Hmm, just tried the same thing for compiz --replace. The output is very similar. I know Unity 3D heavily uses Compiz, but I don't know whether the segmentation fault is output from unity or compiz.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers